Subject: Re: bug#39936: How To Resolve "LC_ALL: cannot change locale (en_US.utf8)"

From: Leo Famulari <[email-masked]>
Date: Sat, 14 Mar 2020 13:27:50 -0400

On Thu, Mar 12, 2020 at 08:58:19PM +0000, David Philipe Gil wrote:
> I actually don't have a root profile in my home directory if that is
> what you mean. However, removing the "LC_ALL=en_US.utf8" from the
> "Environment=" line in "/etc/systemd/system/guix-daemon.service" seems
> to have solved the issue!
> 
> Was that added by the install script? Will this be fixed/addressed?

That LC_ALL bit was added to fix an earlier bug,
<https://bugs.gnu.org/35671>.

I'm not that familiar with how locales work so I'm not sure the best way
forward here... so I'm CC-ing Ludovic, who worked on it previously.